Package org.eclipse.cdt.core.parser

# Class AbstractPersistableProblem

java.lang.Object
org.eclipse.cdt.core.parser.AbstractPersistableProblem

All Implemented Interfaces:
  `IPersistableProblem`, `IProblem`

public abstract class AbstractPersistableProblem extends Object implements IPersistableProblem
Abstract class for implementing `IPersistableProblem`.

Since:
  5.1

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.parser.IProblem

`A_NAMESPACE_NAME, A_PREPROC_CONDITION, A_PREPROC_CONDITIONAL_MISMATCH, A_PREPROC_INCLUDE_FILENAME, A_PREPROC_MACRO_NAME, A_PREPROC_POUND_ERROR, A_PREPROC_POUND_WARNING, A_PREPROC_UNKNOWN_DIRECTIVE, A_SCANNER_BADCHAR, A_SYMBOL_NAME, A_TYPE_NAME, FILENAME_NOT_PROVIDED, IGNORE_CATEGORIES_MASK, INT_VALUE_NOT_PROVIDED, INTERNAL_RELATED, MISSING_SEMICOLON, PREPROCESSOR_CIRCULAR_INCLUSION, PREPROCESSOR_CONDITIONAL_EVAL_ERROR, PREPROCESSOR_DEFINITION_NOT_FOUND, PREPROCESSOR_EXCEEDS_MAXIMUM_INCLUSION_DEPTH, PREPROCESSOR_INCLUSION_NOT_FOUND, PREPROCESSOR_INVALID_DIRECTIVE, PREPROCESSOR_INVALID_MACRO_DEFN, PREPROCESSOR_INVALID_MACRO_REDEFN, PREPROCESSOR_INVALID_USE_OUTSIDE_PREPROCESSOR_DIRECTIVE, PREPROCESSOR_INVALID_VA_ARGS, PREPROCESSOR_MACRO_PASTING_ERROR, PREPROCESSOR_MACRO_USAGE_ERROR, PREPROCESSOR_MISSING_RPAREN_PARMLIST, PREPROCESSOR_MULTIPLE_USER_DEFINED_SUFFIXES_IN_CONCATENATION, PREPROCESSOR_POUND_ERROR, PREPROCESSOR_POUND_WARNING, PREPROCESSOR_RELATED, PREPROCESSOR_UNBALANCE_CONDITION, SCANNER_ASSIGNMENT_NOT_ALLOWED, SCANNER_BAD_BINARY_FORMAT, SCANNER_BAD_CHARACTER, SCANNER_BAD_CONDITIONAL_EXPRESSION, SCANNER_BAD_DECIMAL_FORMAT, SCANNER_BAD_FLOATING_POINT, SCANNER_BAD_HEX_FORMAT, SCANNER_BAD_OCTAL_FORMAT, SCANNER_CONSTANT_WITH_BAD_SUFFIX, SCANNER_DIVIDE_BY_ZERO, SCANNER_EXPRESSION_SYNTAX_ERROR, SCANNER_FLOAT_WITH_BAD_PREFIX, SCANNER_ILLEGAL_IDENTIFIER, SCANNER_INVALID_ESCAPECHAR, SCANNER_MISSING_R_PAREN, SCANNER_RELATED, SCANNER_UNBOUNDED_STRING, SCANNER_UNEXPECTED_EOF, SEMANTIC_AMBIGUOUS_LOOKUP, SEMANTIC_BAD_VISIBILITY, SEMANTIC_CIRCULAR_INHERITANCE, SEMANTIC_ILLFORMED_FRIEND, SEMANTIC_INVALID_CONVERSION_TYPE, SEMANTIC_INVALID_OVERLOAD, SEMANTIC_INVALID_TEMPLATE, SEMANTIC_INVALID_TEMPLATE_ARGUMENT, SEMANTIC_INVALID_TEMPLATE_PARAMETER, SEMANTIC_INVALID_TYPE, SEMANTIC_INVALID_USING, SEMANTIC_MALFORMED_EXPRESSION, SEMANTIC_NAME_NOT_FOUND, SEMANTIC_NAME_NOT_PROVIDED, SEMANTIC_RECURSIVE_TEMPLATE_INSTANTIATION, SEMANTIC_REDECLARED_TEMPLATE_PARAMETER, SEMANTIC_UNABLE_TO_RESOLVE_FUNCTION, SEMANTIC_UNIQUE_NAME_PREDEFINED, SEMANTICS_RELATED, SYNTAX_ERROR, SYNTAX_RELATED, TEMPLATE_ARGUMENT_NESTING_DEPTH_LIMIT_EXCEEDED`

## Constructor Summary

Constructors
Constructor
Description
`AbstractPersistableProblem()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.parser.IPersistableProblem

`getMarkerType`

### Methods inherited from interface org.eclipse.cdt.core.parser.IProblem

`checkCategory, getArguments, getID, getMessage, getMessageWithLocation, getOriginatingFileName, getSourceEnd, getSourceLineNumber, getSourceStart, isError, isWarning`

## Constructor Details

### AbstractPersistableProblem

public AbstractPersistableProblem()